## translation-finder 1.0

=== requirements.txt ===
pathlib2; python_version < '3.4'
six
chardet

=== debian/changelog ===
translation-finder (1.0-5) unstable; urgency=medium

  * Team upload.
  * Do not generate a useless dependency on python3-six

 -- Alexandre Detiste <tchet@debian.org>  Sun, 25 May 2024 15:18:51 +0100

translation-finder (1.0-4) unstable; urgency=medium

  * Team upload.
  * Remove dependency on python3-six

 -- Alexandre Detiste <tchet@debian.org>  Fri, 12 Jan 2024 22:18:51 +0100

translation-finder (1.0-3) unstable; urgency=medium

  * Team upload.
  * Replace SafeConfigParser deprecated in Python3.12
    Closes: #1058174
  * Testsuite: autopkgtest-pkg-python
  * Build-Depends: s/dh-python/dh-sequence-python3/
  * Add salsa-ci file
  * Upstream metadata

 -- Andreas Tille <tille@debian.org>  Wed, 10 Jan 2024 10:24:00 +0100

translation-finder (1.0-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Boyuan Yang ]
  * d/control: Bump Standards-Version to 4.6.1.
  * d/control: Bump debhelper compat to v13.
  * d/watch: Monitor github tags.
  * d/gbp.conf: Update default branch.

 -- Boyuan Yang <byang@debian.org>  Tue, 07 Jun 2022 21:13:46 -0400

translation-finder (1.0-1) unstable; urgency=medium

  * Initial release (Closes: #921332)

 -- Ana Rodríguez López <rodrilopez.ana@gmail.com>  Tue, 05 Feb 2019 23:50:20 +0100

=== debian/control ===
Source: translation-finder
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Ana Rodríguez López <rodrilopez.ana@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-chardet,
 python3-pytest-runner,
 python3-setuptools,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/WeblateOrg/translation-finder/
Vcs-Git: https://salsa.debian.org/python-team/packages/translation-finder.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/translation-finder

Package: python3-translation-finder
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Translation file finder for Weblate
 This library is used by Weblate to discover translation files in a
 cloned repository.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

override_dh_install:
	dh_install
	rm -rf $(CURDIR)/debian/python3-translation-finder/usr/lib/python3*/dist-packages/translation_finder/test_*
